xine-lib: xine_ticket_private_t Struct Reference

xine-lib 1.2.12

Data Fields
xine_ticket_private_t Struct Reference

## Data Fields
xine_ticket_t | t
pthread_mutex_t | lock
pthread_cond_t | issued
pthread_cond_t | revoked
pthread_mutex_t | port_rewiring_lock
int | pause_revoked
int | tickets_granted
int | irrevocable_tickets
int | plain_renewers
int | rewirers
int | pending_revocations
int | atomic_revokers
pthread_t | atomic_revoker_thread
struct {
int count
pthread_t holder
} * | holder_threads
unsigned | holder_thread_count
xine_ticket_revoke_cb_t * | revoke_callbacks [15+1]
void * | revoke_cb_data [15+1]

## Field Documentation

## ◆ atomic_revoker_thread

pthread_t xine_ticket_private_t::atomic_revoker_thread

## ◆ atomic_revokers

int xine_ticket_private_t::atomic_revokers

Referenced by ticket_init().

## ◆ count

int xine_ticket_private_t::count

Referenced by ticket_init().

## ◆ holder

pthread_t xine_ticket_private_t::holder

## ◆ holder_thread_count

unsigned xine_ticket_private_t::holder_thread_count

Referenced by ticket_init().

## ◆

struct { ... } * xine_ticket_private_t::holder_threads

Referenced by ticket_init().

## ◆ irrevocable_tickets

int xine_ticket_private_t::irrevocable_tickets

Referenced by ticket_init().

## ◆ issued

pthread_cond_t xine_ticket_private_t::issued

Referenced by ticket_init().

## ◆ lock

pthread_mutex_t xine_ticket_private_t::lock

Referenced by ticket_init().

## ◆ pause_revoked

int xine_ticket_private_t::pause_revoked

Referenced by ticket_init().

## ◆ pending_revocations

int xine_ticket_private_t::pending_revocations

## ◆ plain_renewers

int xine_ticket_private_t::plain_renewers

Referenced by ticket_init().

## ◆ port_rewiring_lock

pthread_mutex_t xine_ticket_private_t::port_rewiring_lock

Referenced by ticket_init().

## ◆ revoke_callbacks

xine_ticket_revoke_cb_t* xine_ticket_private_t::revoke_callbacks[15+1]

Referenced by ticket_init().

## ◆ revoke_cb_data

void* xine_ticket_private_t::revoke_cb_data[15+1]

Referenced by ticket_init().

## ◆ revoked

pthread_cond_t xine_ticket_private_t::revoked

Referenced by ticket_init().

## ◆ rewirers

int xine_ticket_private_t::rewirers

Referenced by ticket_init().

## ◆ t

xine_ticket_t xine_ticket_private_t::t

Referenced by ticket_init().

## ◆ tickets_granted

int xine_ticket_private_t::tickets_granted

Referenced by ticket_init().

The documentation for this struct was generated from the following file:

- xine-lib-1.2.12/src/xine-engine/xine.c